Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1275362 - [SET] (6.4.z) Change default thread pool rejection policy to "abort"
Summary: [SET] (6.4.z) Change default thread pool rejection policy to "abort"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering
Version: 6.4.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Romain Pelisse
QA Contact: Jitka Kozana
URL:
Whiteboard:
Depends On:
Blocks: 1235746
TreeView+ depends on / blocked
 
Reported: 2015-10-26 16:22 UTC by Romain Pelisse
Modified: 2016-02-08 14:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 14:01:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JGRP-1965 0 Major Resolved Change default thread pool rejection policy to "abort" 2017-01-17 11:52:42 UTC

Description Romain Pelisse 2015-10-26 16:22:58 UTC
Description of problem:

Currently, JGroups transport thread pools use discard as a rejection policy. Thus if there are no available threads, and the queue is full, the executor will silently drop the task.

Abort will throw a RejectedExecutionException, in which case, which JGroups catches to populate the num_rejected_msgs statistic. This is a better default, so that users can monitor this value to determine whether or not to modify their thread pool configuration. Otherwise, num_rejected_msgs is 0, which might be a source of confusion.

This has already been fixed upstream and documented in JGRP-1965(https://issues.jboss.org/browse/JGRP-1965). Discussing it with Paul Ferraro, we thought it would be quite relevant to backport in EAP 6.


Version-Release number of selected component (if applicable):

3.6.6


Note You need to log in before you can comment on or make changes to this bug.